loci.formats.in

## Class IM3Reader.FloatIM3Record

- java.lang.Object
- - loci.formats.in.IM3Reader.IM3Record
  - - loci.formats.in.IM3Reader.FloatIM3Record

- Enclosing class:
    IM3Reader

      protected static class IM3Reader.FloatIM3Record
      extends IM3Reader.IM3Record

  Author:
    Lee Kamentsky A 4-byte floating point array record The record format is int32 - unknown int32 - # of floats float32s - values

- - ### Field Summary

    - ### Fields inherited from class loci.formats.in.IM3Reader.IM3Record

      `length, name, offset, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatIM3Record(java.lang.String name, int recType, long offset, int recLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float[]` | `getEntries(loci.common.IRandomAccess is)` Return all entries as an array
    `float` | `getEntry(loci.common.IRandomAccess is, int index)` Get the floating-point value at the given index
    `int` | `getNumEntries(loci.common.IRandomAccess is)` Get the # of floating-point values in this record
    `void` | `writeSummary(loci.common.IRandomAccess is, java.lang.String indentation)` Write a summary of the contents of the record

    - ### Methods inherited from class loci.formats.in.IM3Reader.IM3Record

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FloatIM3Record

          public FloatIM3Record(java.lang.String name,
                                int recType,
                                long offset,
                                int recLength)

  - ### Method Detail

    - #### getNumEntries

          public int getNumEntries(loci.common.IRandomAccess is)
                            throws java.io.IOException

      Get the # of floating-point values in this record
      Returns:
        number of integer values contained in the record
      Throws:
        `java.io.IOException`

    - #### getEntry

          public float getEntry(loci.common.IRandomAccess is,
                                int index)
                         throws java.io.IOException

      Get the floating-point value at the given index
      Parameters:
        `is` - the stream for the IM3 file
        `index` - the zero-based index of the entry to retrieve
      Returns:
        the value stored in the indexed slot of the record
      Throws:
        `java.io.IOException`

    - #### getEntries

          public float[] getEntries(loci.common.IRandomAccess is)
                             throws java.io.IOException

      Return all entries as an array
      Parameters:
        `is` - handle to file
      Returns:
        an array of the stored values
      Throws:
        `java.io.IOException`

    - #### writeSummary

          public void writeSummary(loci.common.IRandomAccess is,
                                   java.lang.String indentation)
                            throws java.io.IOException

      Description copied from class: `IM3Reader.IM3Record`
      Write a summary of the contents of the record
      Overrides:
        `writeSummary` in class `IM3Reader.IM3Record`
      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment